> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Dela arbetsyteresurs

POST https://api.elevenlabs.io/v1/workspace/resources/{resource_id}/share
Content-Type: application/json

Tilldelar en roll (en av 'admin', 'editor', 'commenter' eller 'viewer') för en workspace-resurs till en användare, grupp eller API-nyckel för workspace (tjänstkonto). Detta åsidosätter alla befintliga roller som målet har för resursen. För att rikta in dig på en användare eller ett tjänstkonto anger du endast användarens e-postadress; användaren måste finnas i ditt workspace. För att rikta in dig på en grupp anger du endast grupp-id:t. För att rikta in dig på en API-nyckel för workspace (tjänstkonto) anger du api key id; resursen delas med tjänstkontot som är kopplat till den nyckeln. Du måste ha administratörsåtkomst till resursen för att dela den.

Reference: https://elevenlabs.io/docs/api-reference/workspace/resources/share

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `resource_id` (string, required) — ID:t för målresursen.

### Body (application/json)

This endpoint expects a Body_Share_workspace_resource_v1_workspace_resources__resource_id__share_post.

- `role` (enum, required) — Roll att ge målet: en av 'admin', 'editor', 'commenter' eller 'viewer'.
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `resource_type` (enum, required) — Resurstyp för målresursen.
  - Allowed values: `voice`, `voice_collection`, `pronunciation_dictionary`, `dubbing`, `dubbing_project`, `project`, `convai_agents`, `convai_knowledge_base_documents`, `convai_tools`, `convai_settings`, `convai_secrets`, `workspace_auth_connections`, `convai_phone_numbers`, `convai_mcp_servers`, `convai_api_integration_connections`, `convai_api_integration_trigger_connections`, `convai_batch_calls`, `convai_agent_response_tests`, `convai_test_suite_invocations`, `convai_crawl_jobs`, `convai_crawl_tasks`, `convai_kb_external_sync_jobs`, `convai_whatsapp_accounts`, `convai_agent_versions`, `convai_agent_branches`, `convai_agent_versions_deployments`, `convai_agent_experiments`, `convai_memory_entries`, `convai_templates`, `dashboard`, `dashboard_configuration`, `convai_agent_drafts`, `resource_locators`, `assets`, `content_generations`, `content_templates`, `content_skills`, `songs`, `transcription_tasks`, `avatars`, `avatar_video_generations`, `resource_collection`, `studio_projects`, `convai_analysis_items`
- `user_email` (string, optional, nullable) — E-postadressen till användaren eller tjänstkontot.
- `group_id` (string, optional, nullable) — ID:t för målgruppen. Använd 'default' för att ange resursens basroll — varje medlem i arbetsytan får denna roll, om de inte har en högre roll genom en direkt användarbehörighet, gruppmedlemskap eller en API-nyckel för arbetsytan (tjänstkonto).
- `workspace_api_key_id` (string, optional, nullable) — ID:t för mål-arbetsytans API-nyckel för tjänstkonto. Det är inte själva API-nyckelsträngen som du skickar i headern för autentisering — det är nyckelns ID, som arbetsytans administratörer hittar under Developers → Service Accounts.

## Response

### 200

Lyckat svar

- `any`

## Errors

### 422 Unprocessable Entity Error

Valideringsfel

- `detail` (list of ValidationError, optional)

## Types

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Request**

```json
{
  "role": "admin",
  "resource_type": "voice"
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/workspace/resources/resource_id/share"

payload = {
    "role": "admin",
    "resource_type": "voice"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/workspace/resources/resource_id/share';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"role":"admin","resource_type":"voice"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/workspace/resources/resource_id/share"

	payload := strings.NewReader("{\n  \"role\": \"admin\",\n  \"resource_type\": \"voice\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/workspace/resources/resource_id/share")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"role\": \"admin\",\n  \"resource_type\": \"voice\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.elevenlabs.io/v1/workspace/resources/resource_id/share")
  .header("Content-Type", "application/json")
  .body("{\n  \"role\": \"admin\",\n  \"resource_type\": \"voice\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.elevenlabs.io/v1/workspace/resources/resource_id/share', [
  'body' => '{
  "role": "admin",
  "resource_type": "voice"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/workspace/resources/resource_id/share");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"role\": \"admin\",\n  \"resource_type\": \"voice\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "role": "admin",
  "resource_type": "voice"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/workspace/resources/resource_id/share")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```